# 1 "dts/usrp_e310_sg3_fpga.dts"
# 1 "<built-in>"
# 1 "<command-line>"
# 1 "dts/usrp_e310_sg3_fpga.dts"






/dts-v1/;
/plugin/;

# 1 "dts/e31x-sg3-fpga.dtsi" 1






&fpga_full {
 firmware-name = "e310_sg3.bin";
};
# 11 "dts/usrp_e310_sg3_fpga.dts" 2
# 1 "dts/e31x-common.dtsi" 1






&fpga_full {
 uio@40010000 {
  compatible = "usrp-uio";
  reg = <0x40010000 0x2000>;
  reg-names = "mboard-regs";
  status = "okay";
 };
};

&spi0 {
 status = "okay";

 cs-gpios = <0>;

 spidev0: spidev@0 {
  compatible = "rohm,dh2228fv";
  reg = <0>;
  status = "okay";
  spi-max-frequency = <1000000>;
 };
};
# 12 "dts/usrp_e310_sg3_fpga.dts" 2
# 1 "dts/e31x-pmu.dtsi" 1






&fpga_full {
 devctrl: devctrl@40000000 {
  compatible = "syscon";
  reg = <0x40000000 0x24>;
 };
 poweroff {
  compatible = "syscon-poweroff";
  regmap = <&devctrl>;
  offset = <0x0>;
  mask = <0x7a>;
 };
 pmu {
  compatible = "ni,e31x-pmu";
  regmap = <&devctrl>;
  status = "okay";
  charger: charger@0{
   compatible = "ni,e31x-charger";
  };
  battery: battery@1{
   compatible = "ni,e31x-battery";
  };
 };
};
# 13 "dts/usrp_e310_sg3_fpga.dts" 2
# 1 "dts/dma-common.dtsi" 1





&fpga_full {
 nixge_internal: ethernet@40020000 {
  #address-cells = <1>;
  #size-cells = <1>;
  compatible = "ni,xge-enet-3.00";
  reg = <0x40020000 0x4000
         0x40030000 0x2000>;
  reg-names = "dma", "ctrl";
   clocks = <&clkc 15>;
   clock-names = "bus_clk";

  interrupts = <0 52 4>, <0 53 4>;
  interrupt-names = "rx", "tx";
  interrupt-parent = <&intc>;
  status = "okay";

  phy-mode = "internal";
  local-mac-address = <0x00 0x01 0x02 0x03 0x04 0x05>;

  fixed-link {
   speed = <1000>;
   full-duplex;
  };
 };

 uio@40032000 {
  compatible = "usrp-uio";
  reg = <0x40032000 0x2000>;
  reg-names = "misc-enet-int-regs";
  status = "okay";
 };
};
# 13 "dts/usrp_e310_sg3_fpga.dts" 2
